Opened 12 years ago

Closed 11 years ago

Last modified 11 years ago

#16346 closed defect (fixed)

Building pgplot on Leopard 10.5.4

Reported by: ctartamella@… Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: Cc: shaneosullivan.kerry@…, stuart@…, miranda@…
Port: pgplot

Description (last modified by jmroot (Joshua Root))

When building pgplot I get the following:

stewie:aquaterm ctartamella$ sudo /opt/local/bin/port install pgplot
--->  Building pgplot with target all
Error: Target org.macports.build returned: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_graphics_pgplot/work/pgplot/build:pgplot" && make all " returned error 2
Command output: /opt/local/include/aquaterm/AQTAdapter.h:79: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:80: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:81: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:84: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:85: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:86: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:87: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:88: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:89: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:90: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:93: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:94: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:95: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:96: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:97: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:100: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:101: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:102: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:103: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:104: error: expected declaration specifiers before '-' token
/opt/local/include/aquaterm/AQTAdapter.h:105: error: expected declaration specifiers before 'end'
../drivers/aqdriv.m:13: error: storage class specified for parameter 'adapter'
../drivers/aqdriv.m:33: error: storage class specified for parameter 'currentDevice'
../drivers/aqdriv.m:33: error: parameter 'currentDevice' is initialized
../drivers/aqdriv.m:34: error: storage class specified for parameter 'deviceCount'
../drivers/aqdriv.m:34: error: parameter 'deviceCount' is initialized
../drivers/aqdriv.m:40: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
../drivers/aqdriv.m:482: error: old-style parameter declarations in prototyped function definition
../drivers/aqdriv.m:482: error: expected '{' at end of input
make: *** [aqdriv.o] Error 1

Error: Status 1 encountered during processing.

Change History (16)

comment:1 Changed 12 years ago by ctartamella@…

Cc: ctartamella@… added

Cc Me!

comment:2 Changed 12 years ago by ryandesign (Ryan Schmidt)

Keywords: ticketformatting added

comment:3 Changed 12 years ago by shaneosullivan.kerry@…

Cc: shaneosullivan.kerry@… added

Cc Me!

comment:4 Changed 12 years ago by jmroot (Joshua Root)

Description: modified (diff)
Keywords: ticketformatting removed
Port: pgplot added

comment:5 Changed 12 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: mcalhoun@… added

Cc Me!

comment:6 Changed 11 years ago by stuart@…

Cc: stuart@… added

Cc Me!

comment:7 Changed 11 years ago by stuart@…

I also get this problem using MacPorts 1.7 on Mac OS X 10.5.6

comment:8 Changed 11 years ago by mf2k (Frank Schima)

Cc: ctartamella@… mcalhoun@… removed
Owner: changed from macports-tickets@… to mcalhoun@…
Priority: HighNormal

comment:9 Changed 11 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: miranda@… added
Status: newassigned

#18644 marked as duplicate.
Reporter added to CC.

comment:10 Changed 11 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

pgplot was recently updated (r47644). Did that fix the problem?

comment:11 Changed 11 years ago by miranda@…

How can I get the new version? I'm still getting the same errors.

comment:12 Changed 11 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

The following should get the latest version of MacPorts and pgplot:

sudo port clean pgplot
sudo port selfupdate
sudo port install pgplot

Please let me know if this works.

comment:13 Changed 11 years ago by miranda@…

$ sudo /opt/local/bin/port install pgplot
--->  Fetching g95
--->  Attempting to fetch gcc-core-4.0.4.tar.bz2 from http://arn.se.distfiles.macports.org/gcc40
--->  Attempting to fetch g95_source.tgz from http://arn.se.distfiles.macports.org/gcc40
--->  Verifying checksum(s) for g95
--->  Extracting g95
--->  Applying patches to g95
--->  Configuring g95
--->  Building g95
--->  Staging g95 into destroot
--->  Installing g95 @0.91_1+darwin_9
--->  Activating g95 @0.91_1+darwin_9
--->  Cleaning g95
--->  Fetching pgplot
--->  Attempting to fetch patch-drivers.list.patch from http://arn.se.distfiles.macports.org/pgplot
--->  Attempting to fetch patch-drivers.list.patch from http://trd.no.distfiles.macports.org/pgplot
--->  Attempting to fetch patch-drivers.list.patch from http://distfiles.macports.org/pgplot
--->  Attempting to fetch patch-drivers.list.patch from http://svn.macports.org/repository/macports/distfiles/pgplot
--->  Attempting to fetch patch-drivers.list.patch from http://svn.macports.org/repository/macports/distfiles/general/
--->  Attempting to fetch patch-drivers.list.patch from http://svn.macports.org/repository/macports/downloads/pgplot
Error: Target org.macports.fetch returned: fetch failed
Error: Status 1 encountered during processing.

comment:14 Changed 11 years ago by miranda@…

I took patch-drivers.list.patch out of Portfile and it seemed to work. Is there any reason I shouldn't have done that? Thanks.

comment:15 in reply to:  14 Changed 11 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Resolution: fixed
Status: assignedclosed

Replying to miranda@…:

I took patch-drivers.list.patch out of Portfile and it seemed to work. Is there any reason I shouldn't have done that? Thanks.

One of the patchfiles was mistakenly left out.
Should be back in r47677.

The only reason you would need it is if you used the aquaterm variant to plot using the program AquaTerm.

Since it seemed to work otherwise, I will close this ticket.

Thanks for the report.

comment:16 Changed 11 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.